Subject: Re: [PATCH v2 2/3] net: can: c_can: Add syscon/regmap RAMINIT mechanism

From: Roger Quadros <[email-masked]>
Date: Tue, 30 Sep 2014 16:58:01 +0300

On 09/30/2014 04:52 PM, Wolfram Sang wrote:
> 
>>>> +- ti,raminit-syscon	: Handle to system control region that contains the
>>>> +			  RAMINIT register. If specified, the second memory resource
>>>> +			  in the reg property must index into the RAMINIT
>>>> +			  register within the syscon region
>>>
>>> There seems to be a simple "syscon" property these days.
>>
>> I had used plain "syscon" in the earlier revisions but was asked to make it a TI specific
>> property since only TI uses this mechanism.
> 
> I see, when was that? Currently, it looks messy :( Grepping through the
> dts files in 3.17-rc7, I see that bcm7445 uses "syscon" and variants
> with prefixes, STE uses it, too. Samsung uses "samsung,syscon-phandle",
> st uses "st,syscon"...
> 
> The MACID readout patches for AM335x (just applied right now) also use
> "syscon": https://patchwork.ozlabs.org/patch/394289/
> 
> I'd vote for a generic "syscon" to be OK, yet I guess the DT maintainers
> will have the final word.

Now that I actually checked, it was never just "syscon" but just without the "ti" vendor prefix.
Sorry for the misinformation.

As just TI is using this out of band RAMINIT mechanism, should it be "ti,syscon" or just "syscon"?

cheers,
-roger